/*General Style*/

body {
    background: #202020;
    color: #ffffff;
    margin: 0;
    font-family: 'Montserrat', sans-serif;
	background: rgb(0,0,0);
	background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(32,32,32,1) 5%, rgba(32,32,32,1) 95%, rgba(0,0,0,1) 100%); 
}

#error {
    color: red;
}

.hide {
    display: none;
}

.show {
    display: inherit;
}

a, 
a:visited {
    color: #bbf;
}

a:hover {
    color: #44f;
}

button {
	color: #bbf;
	background: transparent;
	border: 1px solid #bbf;
	padding: .5em 1em;
}

button:hover {
	cursor: pointer;
	border: 1px solid transparent;
	background: #bbf;
	color: #202020;
}

header {
	border-bottom: 1px solid #bbf;
	text-align: center;
	padding: 1em 5% .25em;
    margin-bottom: 2em;
}

nav a {
	text-decoration: none;
	color: #202020;
	margin: 5px 0;
	background: #bbf;
	padding: .25em 1em;
	border-radius: 1em 1em 0 0;
	border: 2px solid #000;
    border-bottom: none;
}

nav a:hover {
	padding: calc(.25em + 1px) calc(1em + 1px);
	border: 1px;
    color: #fff;
}

nav a:visited {
    color: #202020;
}

main {
	padding: 1em 5%;
}

main.home {
    text-align: center;
}

main.home ul {
	width: auto;
	display: inline-block;
	margin: 0em auto 1em;
}

main.home li {
	text-align: left;
}

.projectContainer {
	display: flex;
	justify-content: center;
    max-width: 1200px;
    margin: 0 auto;
}

.project {
	box-shadow: 0px 0px 3px 1px #ccc;
	padding: 1em;
	margin: 2em;
	max-width: 50%;
}

.project a {
	text-decoration: none;
}

.project h3 {
	margin: 0;
	color: #bbf;
}

.project img {
	max-width: 100%;
	border: 1px solid #bbf;
	margin: 1em auto;
}

footer {
	border-top: 1px solid #bbf;
	text-align: center;
	padding: .25em 5% 1em;
	margin-top: 2em;
}

p {
	max-width: 1200px;
	margin: 1em auto;
}

/* loading.io */

.lds-roller {
	display: inline-block;
	position: relative;
	width: 80px;
	height: 80px;
  }
  .lds-roller div {
	animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
	transform-origin: 40px 40px;
  }
  .lds-roller div:after {
	content: " ";
	display: block;
	position: absolute;
	width: 7px;
	height: 7px;
	border-radius: 50%;
	background: #fff;
	margin: -4px 0 0 -4px;
  }
  .lds-roller div:nth-child(1) {
	animation-delay: -0.036s;
  }
  .lds-roller div:nth-child(1):after {
	top: 63px;
	left: 63px;
  }
  .lds-roller div:nth-child(2) {
	animation-delay: -0.072s;
  }
  .lds-roller div:nth-child(2):after {
	top: 68px;
	left: 56px;
  }
  .lds-roller div:nth-child(3) {
	animation-delay: -0.108s;
  }
  .lds-roller div:nth-child(3):after {
	top: 71px;
	left: 48px;
  }
  .lds-roller div:nth-child(4) {
	animation-delay: -0.144s;
  }
  .lds-roller div:nth-child(4):after {
	top: 72px;
	left: 40px;
  }
  .lds-roller div:nth-child(5) {
	animation-delay: -0.18s;
  }
  .lds-roller div:nth-child(5):after {
	top: 71px;
	left: 32px;
  }
  .lds-roller div:nth-child(6) {
	animation-delay: -0.216s;
  }
  .lds-roller div:nth-child(6):after {
	top: 68px;
	left: 24px;
  }
  .lds-roller div:nth-child(7) {
	animation-delay: -0.252s;
  }
  .lds-roller div:nth-child(7):after {
	top: 63px;
	left: 17px;
  }
  .lds-roller div:nth-child(8) {
	animation-delay: -0.288s;
  }
  .lds-roller div:nth-child(8):after {
	top: 56px;
	left: 12px;
  }
  @keyframes lds-roller {
	0% {
	  transform: rotate(0deg);
	}
	100% {
	  transform: rotate(360deg);
	}
  }
  

  @media only screen and (max-width: 800px) {

    .projectContainer {
        display: block;
    }

    .project {
        max-width: none;
    }
  }
